import request from '@/utils/request'

export function deleteTrialExternalUser(trialExternalUserId, isSystemUser, systemUserId) {
  return request({
    url: `/TrialExternalUser/deleteTrialExternalUser/${trialExternalUserId}/${isSystemUser}/${systemUserId}`,
    method: 'delete'
  })
}

export function configTrialBasicInfo(params) {
  return request({
    url: `/Inspection/configTrialBasicInfo/configTrialBasicInfo`,
    method: 'post',
    data: params
  })
}

export function configTrialProcessInfo(params) {
  return request({
    url: `/Inspection/configTrialBasicInfo/configTrialProcessInfo`,
    method: 'post',
    data: params
  })
}

export function configTrialUrgentInfo(params) {
  return request({
    url: `/Inspection/configTrialBasicInfo/ConfigTrialUrgentInfo`,
    method: 'post',
    data: params
  })
}

export function addOrUpdateVisitStage(params) {
  return request({
    url: `/Inspection/VisitPlan/AddOrUpdateVisitStage`,
    method: 'post',
    data: params
  })
}

export function confirmTrialVisitPlan(params) {
  return request({
    url: `/Inspection/VisitPlan/ConfirmTrialVisitPlan`,
    method: 'post',
    data: params
  })
}

export function trialConfigSignatureConfirm(params) {
  return request({
    url: `/Inspection/configTrialBasicInfo/TrialConfigSignatureConfirm`,
    method: 'post',
    data: params
  })
}

export function ConfigTrialBasicInfoConfirm(params) {
  return request({
    url: `/Inspection/configTrialBasicInfo/ConfigTrialBasicInfoConfirm`,
    method: 'post',
    data: params
  })
}

export function ConfigTrialProcessInfoConfirm(params) {
  return request({
    url: `/Inspection/configTrialBasicInfo/ConfigTrialProcessInfoConfirm`,
    method: 'post',
    data: params
  })
}

export function ConfigTrialUrgentInfoConfirm(params) {
  return request({
    url: `/Inspection/configTrialBasicInfo/ConfigTrialUrgentInfoConfirm`,
    method: 'post',
    data: params
  })
}

export function setTrialJudgyInfo(params) {
  return request({
    url: `/ReadingQuestion/setTrialJudgyInfo`,
    method: 'post',
    data: params
  })
}

export function getTrialJudgyInfo(params) {
  return request({
    url: `/ReadingQuestion/getTrialJudgyInfo`,
    method: 'post',
    data: params
  })
}

export function setTrialJudgeRuleInfo(params) {
  return request({
    url: `/ReadingQuestion/setTrialJudgeRuleInfo`,
    method: 'post',
    data: params
  })
}
// 获取检查部位列表
export function getTrialBodyPartList(params) {
  return request({
    url: `/TrialConfig/getTrialBodyPartList`,
    method: 'get',
    params
  })
}
// 新增检查部位
export function addOrUpdateTrialBodyPart(data) {
  return request({
    url: `/TrialConfig/addOrUpdateTrialBodyPart`,
    method: 'post',
    data
  })
}
// 修改检查名称列表
export function updateTrialStudyNameList(data) {
  return request({
    url: `/TrialConfig/updateTrialStudyNameList`,
    method: 'post',
    data
  })
}

